#ifndef MGLIST_H
#define MGLIST_H

#ifndef ROOT_TOrdCollection
#include <TOrdCollection.h>
#endif

class MGList : public TOrdCollection
{
public:
    ~MGList()
    {
        TIter Next(this);

        TObject *obj;
        while ((obj=Next()))
            delete (TGObject*)obj;
    }
    void Add(TGObject *obj)
    {
        TOrdCollection::Add(obj);
    }
};

#endif
